Taken from https://rt.cpan.org/Public/Bug/Display.html?id=127007

--- a/t/080_super.t
+++ b/t/080_super.t
@@ -1,10 +1,12 @@
 #!perl
 
+use Config;  ### Inclusion of the Config module
+
 use strict;
 use warnings;
 use lib 't';
 
-use Test::More tests => 1537;
+use Test::More tests => 1537 - ($Config{ptrsize} == 8 ? 0 : 512);
 use Util       qw[throws_ok];
 
 BEGIN {
@@ -16,9 +18,15 @@
     for (my $i = 0x0011_0000; $i < 0x7FFF_FFFF; $i += 0x200000) {
         push @SUPER, $i;
     }
+
+  ###
+  ### 64-bit ptrsize validation against the Config module
+  ###
+  if ($Config{ptrsize} == 8) {
     for (my $i = 0x8000_0000; $i < 0xFFFF_FFFF; $i += 0x400000) {
         push @SUPER, $i;
     }
+  }
 }
 
 foreach my $cp (@SUPER) {
